Subject: Re: Query: source of pyrethrum, insecticidal natural product

From: [email-masked] (Jnutty)
Date: 5 May 1995 13:26:01 -0400

Henry Field's and Gurney's gardening catalogs both carry pyrethrums but
they don't specify sci. name.  They are also called painted daisies in
some catalogs..